diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
index b3f7873..de4b754 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
@@ -471,27 +441,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Oued ed Dahab-Lagouira (EH)
+    // Tanger-Tétouan-Al Hoceïma
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;OuedEdDahab-Lagouira">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Tanger-Tetouan-AlHoceima">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Oued ed Dahab-Lagouira (EH)</rdfs:label>
-      <skos:definition>The region of Oued ed Dahab-Lagouira (EH) in the country of Morocco</skos:definition>
+      <rdfs:label>Tanger-Tétouan-Al Hoceïma</rdfs:label>
+      <skos:definition>The region of Tanger-Tétouan-Al Hoceïma in the country of Morocco</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Oued ed Dahab-Lagouira (EH)</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Tanger-Tétouan-Al Hoceïma</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-16">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-01">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the region of Oued ed Dahab-Lagouira (EH) in the country of Morocco</skos:definition>
-      <rdfs:label>MA-16</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-16</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;OuedEdDahab-Lagouira"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;OuedEdDahab-Lagouira"/>
+      <skos:definition>subdivision code for the region of Tanger-Tétouan-Al Hoceïma in the country of Morocco</skos:definition>
+      <rdfs:label>MA-01</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-01</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Tanger-Tetouan-AlHoceima"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Tanger-Tetouan-AlHoceima"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -499,27 +469,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Aousserd (EH)
+    // M’diq-Fnideq
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Aousserd">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Mdiq-Fnideq">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Aousserd (EH)</rdfs:label>
-      <skos:definition>The prefecture of Aousserd (EH) in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;OuedEdDahab-Lagouira"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Aousserd (EH)</lcc-cr:hasLocalShortName>
+      <rdfs:label>M’diq-Fnideq</rdfs:label>
+      <skos:definition>The prefecture of M’diq-Fnideq in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Tanger-Tetouan-AlHoceima"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">M’diq-Fnideq</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-AOU">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-MDF">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the prefecture of Aousserd (EH) in the country of Morocco</skos:definition>
-      <rdfs:label>MA-AOU</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-AOU</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Aousserd"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Aousserd"/>
+      <skos:definition>subdivision code for the prefecture of M’diq-Fnideq in the country of Morocco</skos:definition>
+      <rdfs:label>MA-MDF</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-MDF</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Mdiq-Fnideq"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Mdiq-Fnideq"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -529,88 +499,88 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Oued ed Dahab (EH)
+    // Fahs-Anjra
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;OuedEdDahab">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Fahs-Anjra">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Oued ed Dahab (EH)</rdfs:label>
-      <skos:definition>The province of Oued ed Dahab (EH) in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;OuedEdDahab-Lagouira"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Oued ed Dahab (EH)</lcc-cr:hasLocalShortName>
+      <rdfs:label>Fahs-Anjra</rdfs:label>
+      <skos:definition>The province of Fahs-Anjra in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Tanger-Tetouan-AlHoceima"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Fahs-Anjra</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-OUD">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-FAH">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Oued ed Dahab (EH) in the country of Morocco</skos:definition>
-      <rdfs:label>MA-OUD</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-OUD</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;OuedEdDahab"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;OuedEdDahab"/>
+      <skos:definition>subdivision code for the province of Fahs-Anjra in the country of Morocco</skos:definition>
+      <rdfs:label>MA-FAH</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-FAH</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Fahs-Anjra"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Fahs-Anjra"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
 
 
-
-
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Fès-Boulemane
+    // Ouezzane
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Fes-Boulemane">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Ouezzane">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Fès-Boulemane</rdfs:label>
-      <skos:definition>The region of Fès-Boulemane in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Fès-Boulemane</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
+      <rdfs:label>Ouezzane</rdfs:label>
+      <skos:definition>The province of Ouezzane in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Tanger-Tetouan-AlHoceima"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Ouezzane</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-05">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-OUZ">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the region of Fès-Boulemane in the country of Morocco</skos:definition>
-      <rdfs:label>MA-05</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-05</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Fes-Boulemane"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Fes-Boulemane"/>
+      <skos:definition>subdivision code for the province of Ouezzane in the country of Morocco</skos:definition>
+      <rdfs:label>MA-OUZ</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-OUZ</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Ouezzane"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Ouezzane"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
+
+
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Sefrou
+    // Tétouan
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Sefrou">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Tetouan">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Sefrou</rdfs:label>
-      <skos:definition>The province of Sefrou in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Fes-Boulemane"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Sefrou</lcc-cr:hasLocalShortName>
+      <rdfs:label>Tétouan</rdfs:label>
+      <skos:definition>The province of Tétouan in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Tanger-Tetouan-AlHoceima"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Tétouan</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-SEF">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TET">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Sefrou in the country of Morocco</skos:definition>
-      <rdfs:label>MA-SEF</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-SEF</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Sefrou"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Sefrou"/>
-      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
+      <skos:definition>subdivision code for the province of Tétouan in the country of Morocco</skos:definition>
+      <rdfs:label>MA-TET</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TET</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Tetouan"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Tetouan"/>
+      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
@@ -619,27 +589,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Boulemane
+    // Larache
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Boulemane">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Larache">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Boulemane</rdfs:label>
-      <skos:definition>The province of Boulemane in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Fes-Boulemane"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Boulemane</lcc-cr:hasLocalShortName>
+      <rdfs:label>Larache</rdfs:label>
+      <skos:definition>The province of Larache in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Tanger-Tetouan-AlHoceima"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Larache</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-BOM">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-LAR">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Boulemane in the country of Morocco</skos:definition>
-      <rdfs:label>MA-BOM</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-BOM</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Boulemane"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Boulemane"/>
+      <skos:definition>subdivision code for the province of Larache in the country of Morocco</skos:definition>
+      <rdfs:label>MA-LAR</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-LAR</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Larache"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Larache"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -649,27 +619,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Moulay Yacoub
+    // Chefchaouen
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MoulayYacoub">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Chefchaouen">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Moulay Yacoub</rdfs:label>
-      <skos:definition>The province of Moulay Yacoub in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Fes-Boulemane"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Moulay Yacoub</lcc-cr:hasLocalShortName>
+      <rdfs:label>Chefchaouen</rdfs:label>
+      <skos:definition>The province of Chefchaouen in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Tanger-Tetouan-AlHoceima"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Chefchaouen</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-MOU">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-CHE">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Moulay Yacoub in the country of Morocco</skos:definition>
-      <rdfs:label>MA-MOU</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-MOU</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;MoulayYacoub"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;MoulayYacoub"/>
+      <skos:definition>subdivision code for the province of Chefchaouen in the country of Morocco</skos:definition>
+      <rdfs:label>MA-CHE</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-CHE</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Chefchaouen"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Chefchaouen"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -679,147 +649,117 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Fès-Dar-Dbibegh
+    // Al Hoceïma
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Fes-Dar-Dbibegh">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;AlHoceima">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Fès-Dar-Dbibegh</rdfs:label>
-      <skos:definition>The prefecture of Fès-Dar-Dbibegh in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Fes-Boulemane"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Fès-Dar-Dbibegh</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
+      <rdfs:label>Al Hoceïma</rdfs:label>
+      <skos:definition>The province of Al Hoceïma in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Tanger-Tetouan-AlHoceima"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Al Hoceïma</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-FES">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-HOC">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the prefecture of Fès-Dar-Dbibegh in the country of Morocco</skos:definition>
-      <rdfs:label>MA-FES</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-FES</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Fes-Dar-Dbibegh"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Fes-Dar-Dbibegh"/>
+      <skos:definition>subdivision code for the province of Al Hoceïma in the country of Morocco</skos:definition>
+      <rdfs:label>MA-HOC</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-HOC</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;AlHoceima"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;AlHoceima"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
 
 
-
-
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Marrakech-Tensift-Al Haouz
+    // Tanger-Assilah
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Marrakech-Tensift-AlHaouz">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Tanger-Assilah">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Marrakech-Tensift-Al Haouz</rdfs:label>
-      <skos:definition>The region of Marrakech-Tensift-Al Haouz in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Marrakech-Tensift-Al Haouz</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
+      <rdfs:label>Tanger-Assilah</rdfs:label>
+      <skos:definition>The prefecture of Tanger-Assilah in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Tanger-Tetouan-AlHoceima"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Tanger-Assilah</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-11">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TNG">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the region of Marrakech-Tensift-Al Haouz in the country of Morocco</skos:definition>
-      <rdfs:label>MA-11</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-11</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Marrakech-Tensift-AlHaouz"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Marrakech-Tensift-AlHaouz"/>
+      <skos:definition>subdivision code for the prefecture of Tanger-Assilah in the country of Morocco</skos:definition>
+      <rdfs:label>MA-TNG</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TNG</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Tanger-Assilah"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Tanger-Assilah"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-  <!--
-    ///////////////////////////////////////////////////////////////////////////////////////
-    //
-    // Essaouira
-    //
-    ///////////////////////////////////////////////////////////////////////////////////////
-    -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Essaouira">
-      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Essaouira</rdfs:label>
-      <skos:definition>The province of Essaouira in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Marrakech-Tensift-AlHaouz"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Essaouira</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
-      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
-   </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-ESI">
-      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Essaouira in the country of Morocco</skos:definition>
-      <rdfs:label>MA-ESI</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-ESI</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Essaouira"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Essaouira"/>
-      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
-      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
-   </owl:NamedIndividual>
 
 
 
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Sidi Youssef Ben Ali
+    // Souss-Massa
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;SidiYoussefBenAli">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Souss-Massa">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Sidi Youssef Ben Ali</rdfs:label>
-      <skos:definition>The prefecture of Sidi Youssef Ben Ali in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Marrakech-Tensift-AlHaouz"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Sidi Youssef Ben Ali</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
+      <rdfs:label>Souss-Massa</rdfs:label>
+      <skos:definition>The region of Souss-Massa in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Souss-Massa</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-SYB">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-09">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the prefecture of Sidi Youssef Ben Ali in the country of Morocco</skos:definition>
-      <rdfs:label>MA-SYB</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-SYB</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;SidiYoussefBenAli"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;SidiYoussefBenAli"/>
+      <skos:definition>subdivision code for the region of Souss-Massa in the country of Morocco</skos:definition>
+      <rdfs:label>MA-09</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-09</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Souss-Massa"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Souss-Massa"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-
-
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Marrakech-Menara
+    // Inezgane-Ait Melloul
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Marrakech-Menara">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Inezgane-AitMelloul">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Marrakech-Menara</rdfs:label>
-      <skos:definition>The prefecture of Marrakech-Menara in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Marrakech-Tensift-AlHaouz"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Marrakech-Menara</lcc-cr:hasLocalShortName>
+      <rdfs:label>Inezgane-Ait Melloul</rdfs:label>
+      <skos:definition>The prefecture of Inezgane-Ait Melloul in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Souss-Massa"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Inezgane-Ait Melloul</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-MMN">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-INE">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the prefecture of Marrakech-Menara in the country of Morocco</skos:definition>
-      <rdfs:label>MA-MMN</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-MMN</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Marrakech-Menara"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Marrakech-Menara"/>
+      <skos:definition>subdivision code for the prefecture of Inezgane-Ait Melloul in the country of Morocco</skos:definition>
+      <rdfs:label>MA-INE</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-INE</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Inezgane-AitMelloul"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Inezgane-AitMelloul"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -829,27 +769,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Al Haouz
+    // Taroudant
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;AlHaouz">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Taroudant">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Al Haouz</rdfs:label>
-      <skos:definition>The province of Al Haouz in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Marrakech-Tensift-AlHaouz"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Al Haouz</lcc-cr:hasLocalShortName>
+      <rdfs:label>Taroudant</rdfs:label>
+      <skos:definition>The province of Taroudant in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Souss-Massa"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Taroudant</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-HAO">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TAR">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Al Haouz in the country of Morocco</skos:definition>
-      <rdfs:label>MA-HAO</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-HAO</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;AlHaouz"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;AlHaouz"/>
+      <skos:definition>subdivision code for the province of Taroudant in the country of Morocco</skos:definition>
+      <rdfs:label>MA-TAR</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TAR</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Taroudant"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Taroudant"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
